## Usage

```js
var templates = require('templates');
var questions = require('base-questions');
var app = templates();

app.use(questions());
app.engine('md', require('engine-base'));
app.asyncHelper('askInclude', require('{%= name %}'));

app.create('pages');
app.create('includes');

app.include('a.md', {content: 'this is AAA'});
app.include('b.md', {content: 'this is BBB'});
app.include('c.md', {content: 'this is CCC'});

var page = app.page('index.md', {
  content: 'Before\n<%= askInclude("includes") %>\nAfter'
});

app.render(page, function(err, res) {
  if (err) return console.log(err);
  console.log(res.content);
});
```

## API
{%= apidocs("index.js") %}
