# helper-ask-include [![NPM version](https://img.shields.io/npm/v/helper-ask-include.svg?style=flat)](https://www.npmjs.com/package/helper-ask-include) [![NPM monthly downloads](https://img.shields.io/npm/dm/helper-ask-include.svg?style=flat)](https://npmjs.org/package/helper-ask-include)  [![NPM total downloads](https://img.shields.io/npm/dt/helper-ask-include.svg?style=flat)](https://npmjs.org/package/helper-ask-include)

> Async template helper that prompts the user to choose the `include` or `includes` to render.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save helper-ask-include
```

## Usage

```js
var templates = require('templates');
var questions = require('base-questions');
var app = templates();

app.use(questions());
app.engine('md', require('engine-base'));
app.asyncHelper('askInclude', require('helper-ask-include'));

app.create('pages');
app.create('includes');

app.include('a.md', {content: 'this is AAA'});
app.include('b.md', {content: 'this is BBB'});
app.include('c.md', {content: 'this is CCC'});

var page = app.page('index.md', {
  content: 'Before\n<%= askInclude("includes") %>\nAfter'
});

app.render(page, function(err, res) {
  if (err) return console.log(err);
  console.log(res.content);
});
```

## About

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Building docs

_(This project's readme.md is generated by [verb](https://github.com/verbose/verb-generate-readme), please don't edit the readme directly. Any changes to the readme must be made in the [.verb.md](.verb.md) readme template.)_

To generate the readme, run the following command:

```sh
$ npm install -g verbose/verb#dev verb-generate-readme && verb
```

### Running tests

Running and reviewing unit tests is a great way to get familiarized with a library and its API. You can install dependencies and run tests with the following command:

```sh
$ npm install && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](https://twitter.com/jonschlinkert)

### License

Copyright © 2017, [Jon Schlinkert](https://github.com/jonschlinkert).
MIT

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.4.2, on February 20, 2017._